Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.io
Class OperatorSet

    java.lang.Object
      gnu.prolog.io.OperatorSet

    public final class OperatorSet

extends Object

Stores the current `Operators`.

Constructor Summary
`OperatorSet()`
`OperatorSet(boolean defaultSet)`

Method Summary
`Operator` | `add(int priority, Operator.SPECIFIER specifier, String name)` add operator to operator set
`int` | `getCommaLevel()`
`int` | `getMaxLevel()`
`int` | `getNextLevel(int priority)`
`Operator` | `getOperatorForTag(CompoundTermTag tag)`
`Set<Operator>` | `getOperators()` get all operators currently in the set
`protected void` | `initDefault()`
`Operator` | `lookupFx(String value)`
`Operator` | `lookupXf(String value)`
`void` | `remove(Operator.SPECIFIER specifier, String name)` remove operator from operator set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperatorSet

    public OperatorSet(boolean defaultSet)

Parameters:
  `defaultSet` - should this OperatorSet be initialized with the default OperatorSet?

### OperatorSet

    public OperatorSet()

Method Detail

### lookupXf

    public Operator lookupXf(String value)

### lookupFx

    public Operator lookupFx(String value)

### getOperators

    public Set<Operator> getOperators()

  get all operators currently in the set

  Returns:
    all the operators currently in the set

### remove

    public void remove(Operator.SPECIFIER specifier,
                       String name)

  remove operator from operator set

  Parameters:
    `specifier` -
    `name` -

### add

    public Operator add(int priority,
                        Operator.SPECIFIER specifier,
                        String name)

  add operator to operator set

  Parameters:
    `priority` -
    `specifier` -
    `name` -
  Returns:
    the added `Operator`

### getNextLevel

    public int getNextLevel(int priority)

### getCommaLevel

    public int getCommaLevel()

### getMaxLevel

    public int getMaxLevel()

### initDefault

    protected void initDefault()

### getOperatorForTag

    public Operator getOperatorForTag(CompoundTermTag tag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD